#!/usr/bin/env python

import os
from os.path            import dirname, exists

from crebs.debug        import report


def safe_filename(s_name):
    """Turns the slideshow's name into a filesystem-safe name."""

    report(3, "Ensuring the name is filesystem-safe...", 1)

    safe_name = s_name
    replace_these = ' \'"?[]/\\=+<>:;,*%'

    for char in replace_these:
        safe_name = safe_name.replace(char, '_')

    safe_name += '.xml'

    report(3, "Success." + " ({0})".format(safe_name), 1.5)

    return safe_name


def make_needed_dirs(filename):
    """Makes any needed directories for the slideshow file."""

    s_dir = dirname(filename)
    if not exists(s_dir):
        os.makedirs(s_dir)

