#!/usr/bin/env python

from crebs.args         import parse_inv_args
from crebs.cli          import cli
from crebs.gui          import CrebsGui
from crebs.debug        import report, report_options


def main():
    """Parses command-line options and arguments, sets up basic data, and starts the application."""

    # Parse invocation arguments and set up default data
    (files, options) = parse_inv_args()

    # Debugging information
    report_options(5, options, files)

    report(3, "======= LET'S GO! =======")

    # Continue, either in GUI- or CLI-mode
    if options.gui:
        CrebsGui(files, options).show()
    else:
        cli(files, options)

    report(3, "======== THE END ========")

